#!/bin/sh

if [ ! -f make_package ] ; then
	echo "This does not seem to be the root directory of a quicktime4linux tree!"
	echo "Please run this from the quicktime4linux root."
	exit -1
fi

if [ -f i686/libquicktime.so ] ; then
	echo "quicktime4linux 1.5.x (likely) found"
	echo " *** There may be problems with this library - a number of symbols are"
	echo " *** missing in the version I tried.  If you have trouble, please"
	echo " *** revert to 1.4."
	SOFILE=i686/libquicktime.so
elif grep "VERSION=1.4" make_package ; then
	echo "quicktime4linux 1.4 found"
	if [ ! -f i686/libquicktime.a ] ; then
		echo "i686/libquicktime.a not found:  Make sure that you have already built"
		echo "it with:"
		echo "  ./configure"
		echo "  make"
		echo "Then execute install.sh (after copying it into the quicktime source"
		echo "directory!)."
		exit -1
	fi
	echo "--- Makefile~	Fri Aug 10 14:14:11 2001" > install.patch
	echo "+++ Makefile	Sat Oct 27 18:11:29 2001" >> install.patch
	echo "@@ -155,7 +155,7 @@" >> install.patch
	echo " " >> install.patch
	echo " \$(OUTPUT): \$(DVMMXOBJ) \$(OBJS) \$(DVMMXOBJS)" >> install.patch
	echo " 	ar rcs \$(OUTPUT) \$(OBJS) \$(DVMMXOBJS)" >> install.patch
	echo "-#	g++ -shared -o \$(SHAREDOUTPUT) \$(OBJS)" >> install.patch
	echo "+	g++ -shared -o \$(SHAREDOUTPUT) \$(OBJS) \$(DVMMXOBJS)" >> install.patch
	echo " " >> install.patch
	echo " \$(OBJDIR)/qtdump: \$(OBJDIR)/dump.o \$(OUTPUT)" >> install.patch
	echo " 	\$(CC) -o \$(OBJDIR)/qtdump \$(OBJDIR)/dump.o \$(OUTPUT) -lpng -lz -lpthread -lglib -ldl -lm" >> install.patch
	patch < install.patch
	echo "--- libdv/rgbtoyuv.S~	Fri Aug 10 14:14:10 2001" > install.patch
	echo "+++ libdv/rgbtoyuv.S	Sat Oct 27 18:44:40 2001" >> install.patch
	echo "@@ -42,7 +42,6 @@" >> install.patch
	echo " #define DV_WIDTH_BYTE_HALF  360	" >> install.patch
	echo " 		" >> install.patch
	echo " .global rgbtoycb_mmx" >> install.patch
	echo "-.global yuvtoycb_mmx" >> install.patch
	echo " " >> install.patch
	echo " .data" >> install.patch
	echo " " >> install.patch
	(cd libdv; patch -p 1 < ../install.patch)
	rm -f i686/libdv/rgbtoyuv.o
	rm -f i686/libquicktime.a
	make
	SOFILE=i686/libquicktime.so
elif grep "VERSION=1.3" make_package ; then
	echo "quicktime4linux 1.4 found"
	if [ ! -x libquicktime.so ] ; then
		echo "libquicktime.so not found:  Make sure you are running this from the quicktime"
		echo "root directory, and you have built it with:"
		echo "  ./configure"
		echo "  make"
		echo "Then execute install.sh (after copying it into the quicktime source"
		echo "directory!)."
		exit -1
	fi
	SOFILE=libquicktime.so
fi

if ! grep "/usr/local/lib" /etc/ld.so.conf ; then
	echo "/usr/local/lib is not in your library path - please add it to"
	echo "/etc/ld.so.conf, and rerun install.sh!"
	exit -1
fi
install -d -m 755 /usr/local/include/quicktime/
install -m 644 quicktime.h codecs.h colormodels.h funcprotos.h graphics.h *rivate.h /usr/local/include/quicktime/
install -m 755 ${SOFILE} /usr/local/lib/
ldconfig
